import { Provider, ZeroEx } from '0x.js';
import { Web3Wrapper } from '@0xproject/web3-wrapper';
export declare abstract class Web3EnabledService<T> {
    protected readonly provider: Provider;
    protected zeroEx: ZeroEx;
    protected web3Wrapper: Web3Wrapper;
    constructor(provider: Provider);
    execute(): Promise<T>;
    protected abstract run(): Promise<T>;
}
